Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #195

Audacious hangs using 100% CPU at end of last track in playlist
October 11, 2012 17:40 - Mark -
Priority: Minor Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Affects version: 3.2.4

Description
Hi,

I'm using Audacious 3.2.4 on Lubuntu 11.10 x86-64, installed from the "webupd8" PPA (
https://launchpad.net/~nilarimogard/+archive/webupd8).

Audacious hangs using 100% CPU time when it reaches the end of the last track in a playlist. The main window is not responsive
and | need to kill -KILL its process.

This happens for me when the track is MOD, MP3 or FLAC, so it's probably not format-specific. It also happens when, rather than
being the last track in the playlist, there are following entries in the playlist which are in unsupported file formats (and so unplayable).

History

#1 - October 13, 2012 17:28 - John Lindgren

Please attach a backtrace. (Google "gdb attach to running process" and "gdb backtrace" if you need help.)

#2 - October 13, 2012 19:06 - Mark -

Here you go. Last track in the playlist in this case was a FLAC file if that matters. [For what it's worth, | didn't get a hang when the last track in the
playlist was an SPC file (SNES music).]

| just noticed the "Work around drain hangup" option in the ALSA plugin preferences. After enabling that Audacious doesn't hang at the end of the
playlist. So | guess the hanging is a known issue.

(gdb) bt

#0 0x00007f557e378e23 in poll () from /lib/x86_64-linux-gnu/libc.so0.6

#1 0x00007f5575cbedOc in poll_sleep () at alsa.c:126

#2 0x00007f5575cbf516 in alsa_drain () at alsa.c:535

#3 0x000000000041409a in output_drain () at output.c:540

#4 0x0000000000414339 in complete_stop () at playback.c:246

#5 0x0000000000414525 in end_cb (unused=<optimized out>) at playback.c:293

#6 0x00007f557fe5423b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0
0x00007f557fe52a5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0
0x00007f557fe53258 in ?7? () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0
0x00007f557fe53792 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0
10 0x00007f557f507e1d in gtk_main () from /usr/lib/libgtk-3.s0.0

11 0x000000000040cdf7 in main (argc=1, argv=0x7fff142ca7d8) at main.c:582
#3 - October 15, 2012 23:30 - John Lindgren

- Status changed from New to Rejected

Yes, it's a longstanding problem in DMix, and that workaround has been enabled by default for several versions of Audacious now.
